#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	icon-naming-utils
Version		:	0.8.90
Release		:	17.0.10.rel%{?dist}

Summary		:	Perl script used for maintaining backwards compatibility with current desktop icon themes
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://tango.freedesktop.org 

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	XML-Simple

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
icon-naming-utils is a script for maintaining backwards compatibility with
current desktop icon themes, while migrating to the names specified in the
Icon Naming Specification [1].

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libexecdir}/icon-name-mapping
%{_datadir}/dtds/legacy-icon-mapping.dtd
%{_datadir}/%{name}/legacy-icon-mapping.xml
%{_datadir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
